<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9262a.xslt, 7 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- retourcode 9262: Indien Berichtcode = 584 (= Verantwoording forensische zorg voor ZPM), dan mag alleen VerzenderRol = 1 (= Zorgaanbieder) of 2 (= Servicebureau) voorkomen. -->
	<xsl:template name="rc9262a">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="VerzenderRol"/>
		
		<xsl:if test="$Berichtcode=584 and not($VerzenderRol='1' or $VerzenderRol='2')">
			<fz814:Feedback>
				<fz814:Retourcode>9262</fz814:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<fz814:BetrokkenElement>
						<fz814:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></fz814:Elementnaam>
						<fz814:Elementwaarde><xsl:value-of select="$Berichtcode"/></fz814:Elementwaarde>
					</fz814:BetrokkenElement>
					<fz814:BetrokkenElement>
						<fz814:Elementnaam><xsl:value-of select="local-name($VerzenderRol)"/></fz814:Elementnaam>
						<fz814:Elementwaarde><xsl:value-of select="$VerzenderRol"/></fz814:Elementwaarde>
					</fz814:BetrokkenElement>
			</fz814:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
