<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9623.xslt, 7 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- retourcode 9623: Indien Berichtcode = 584 (= Verantwoording forensische zorg voor ZPM), dan mag alleen ZorgaanbiederSoort = 1 (= Instelling) voorkomen. -->

	<xsl:template name="rc9623">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="PrestatieCodelijstCode"/>
		
		<xsl:if test="$Berichtcode = '584' and $PrestatieCodelijstCode != '071'">
			<fz814:Feedback>
				<fz814:Retourcode>9623</fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Berichtcode"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>						
			</fz814:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
